Bug 109206 - FILESAVE Calc takes a disproportionately long time to save a relatively small spreadsheet
Summary: FILESAVE Calc takes a disproportionately long time to save a relatively small...
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.1.6.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Save
  Show dependency treegraph
 
Reported: 2017-07-19 12:43 UTC by Jan
Modified: 2018-09-03 14:56 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
test case (107.94 KB, application/vnd.oasis.opendocument.spreadsheet)
2017-07-19 12:46 UTC, Jan
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jan 2017-07-19 12:43:30 UTC
Description:
I have a spreadsheet that takes really long time (over five minutes) to save on a modern computer, even though the sheet is relatively small (110 kB). Clearing the profile does not change anything and the problem exists on different machines.

Steps to Reproduce:
1. Download attached file
2. Open in Calc
3. Click Save

Actual Results:  
Saving takes really long for a file this size and uses a lot of CPU for the whole time.

Expected Results:
Saving a small file shouldn't take more than a couple seconds.


Reproducible: Always

User Profile Reset: Yes

Additional Info:
I don't get this problem on a system with Libreoffice 4.2.8, Ubuntu 14.04.


User-Agent: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:54.0) Gecko/20100101 Firefox/54.0
Comment 1 Jan 2017-07-19 12:46:02 UTC
Created attachment 134735 [details]
test case
Comment 2 Xisco Faulí 2017-07-19 13:10:31 UTC
Thank you for reporting the bug.
it seems you're using an old version of LibreOffice.
Could you please try to reproduce it with the latest version of LibreOffice from https://www.libreoffice.org/download/libreoffice-fresh/ ?
I have set the bug's status to 'NEEDINFO'. Please change it back to 'UNCONFIRMED' if the bug is still present in the latest version.
Comment 3 Jan 2017-07-19 14:35:46 UTC
No, I've checked that it's not present in the latest version. I'm using the version provided by Ubuntu 16.04 LTS.
Comment 4 Xisco Faulí 2017-11-13 18:17:57 UTC
(In reply to Jan from comment #3)
> No, I've checked that it's not present in the latest version. I'm using the
> version provided by Ubuntu 16.04 LTS.

Has the version been updated?
Comment 5 Jan 2017-12-19 12:02:55 UTC
(In reply to Xisco Faulí from comment #4)
> (In reply to Jan from comment #3)
> > No, I've checked that it's not present in the latest version. I'm using the
> > version provided by Ubuntu 16.04 LTS.
> 
> Has the version been updated?

No, the current version in 16.04 still has the same problem.
Comment 6 Xisco Faulí 2018-01-10 10:09:35 UTC
(In reply to Jan from comment #5)
> (In reply to Xisco Faulí from comment #4)
> > (In reply to Jan from comment #3)
> > > No, I've checked that it's not present in the latest version. I'm using the
> > > version provided by Ubuntu 16.04 LTS.
> > 
> > Has the version been updated?
> 
> No, the current version in 16.04 still has the same problem.

Which version is it? 5.1.6 ?
Comment 8 Xisco Faulí 2018-01-10 10:33:58 UTC
ok, unfortunately, branch 5.1 reached the end of life inf November 2016 -> https://wiki.documentfoundation.org/ReleasePlan/5.1
i understand you want to stick to the version provided by Ubuntu, but we don't fix bugs existing in old versions.
OTOH, if you would like to help the project, testing it with the latest version confirms whether it's fixed or not, and if not, we can fix it.
Regards
Comment 9 QA Administrators 2018-07-31 09:37:59 UTC Comment hidden (obsolete)
Comment 10 QA Administrators 2018-09-03 14:56:17 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INSUFFICIENTDATA due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

MassPing-NeedInfo-20180903